summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitignore.d/icecat2
-rwxr-xr-xgnuzilla/uscanzilla23
2 files changed, 25 insertions, 0 deletions
diff --git a/.gitignore.d/icecat b/.gitignore.d/icecat
index df58867..d90e9f2 100644
--- a/.gitignore.d/icecat
+++ b/.gitignore.d/icecat
@@ -4,6 +4,8 @@
# Include relevant files
!/.gitignore.d/
!/.gitignore.d/icecat
+!/gnuzilla/
+!/gnuzilla/uscanzilla
# Exclude swap and backup files
*.s[a-w]?
diff --git a/gnuzilla/uscanzilla b/gnuzilla/uscanzilla
new file mode 100755
index 0000000..a879ca5
--- /dev/null
+++ b/gnuzilla/uscanzilla
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -eu
+
+old_version='0'
+{ read old_version 0<"${0%/*}/version" || :; } 2>'/dev/null'
+
+output="$(uscan --package 'icecat' --upstream-version "${old_version}" \
+ --watchfile "${0%/*}/watch" 2>&1)" || return 0
+
+sed_s='s/uscan: Newest version of icecat on remote site is \([^,][^,]*\),'
+sed_s="${sed_s}"' local version is .*$/\1/p;'
+new_version="$(sed -n "${sed_s}")" <<-EOF
+ ${output}
+ EOF
+
+printf '%s\n' "${new_version}" >"${0%/*}/version"
+
+notify-send "New icecat version: ${new_version}" \
+ "${old_version} -> ${new_version}"
+# mailx -s "New version of icecat available: ${version}" 'pj@pehjota.net' <<-EOF
+# ${output}
+# EOF